#ifndef _CUTICLE_TIMELINE_H
#define _CUTICLE_TIMELINE_H

#include<wx/frame.h>
#include<wx/panel.h>

struct Frame;

struct Timeline : wxPanel {
	int64_t camX = 0;
	
	int64_t mouseX = 0;
	
	size_t captureKfsIdx, captureKfIdx;
	
	enum class CaptureMode {
		CAM, KF
	} captureMode;
	
	int scale = 100;
	
	Timeline(struct Frame *parent);
	virtual ~Timeline() = default;
	
	void Paint(wxPaintEvent&);
	
	bool MouseOverKF(wxPoint p, size_t &kfsIdx, size_t &kfIdx);
};

#endif
